Name:           peony-extensions
Version:        4.0.0.0
Release:        2
Summary:        adds extended functionality to the Peony file manager.
License:        GPLv3 and LGPLv3 
URL:            http://www.ukui.org
Source0:        %{name}-%{version}.tar.gz
Patch01:        0001-fix-peony-extensions-4.0.0.0-open-terminal-invalid.patch

BuildRequires: cmake
BuildRequires: glib2-devel
BuildRequires: gsettings-qt-devel
BuildRequires: libnotify-devel
BuildRequires: peony libpeony-devel
BuildRequires: poppler-qt5-devel
BuildRequires: libudisks2-devel
BuildRequires: pkgconf
BuildRequires: qt5-qtbase-devel
BuildRequires: qtchooser
BuildRequires: polkit-devel
BuildRequires: libkysdk-qtwidgets-devel
BuildRequires: ukui-interface

Requires: parchives, peony-open-terminal, peony-extension-computer-view, peony-set-wallpaper, peony-send-to-device, peony-share
Requires: samba-usershares
Recommends: peony-device-rename


%description
Peony is the official file manager for the UKUI desktop. This
package adds extended functionality to the Peony file manager.


%package -n peony-share
Summary:  Allows one to quickly share a folder from the Peony file manager
Requires: samba-common-tools samba acl

%description -n peony-share
The Peony share extension allows you to quickly share a folder from the
Peony file manager without requiring root access. It uses Samba, so your
folders can be accessed by any operating system.


%package -n parchives
Summary:  Peony qt plugin for file compress and uncompress
Recommends: engrampa

%description -n parchives
Parchives is an archive manager for the UKUI environment. You can use
this plugin to compress or uncompress file or folder.
.
This package adds extended functionality to the Peony file manager.


%package -n peony-open-terminal
Summary:  Peony plugin for opening terminals in arbitrary local paths
Recommends: mate-terminal

%description -n peony-open-terminal
peony-open-terminal is a proof-of-concept Peony extension
which allows you to open a terminal in arbitrary local folders.


%package -n peony-extension-computer-view
Summary:  Peony plugin for displaying computer:/// with more information

%description -n peony-extension-computer-view
peony-extionsion-computer-view is a proof-of-concept Peony extension
which allows user browsering computer:/// with more information, which
not provided in icon view and list view.


%package -n peony-set-wallpaper
Summary:  Peony plugin for right click a picture to set as wallpaper
Requires: qt5-qtimageformats

%description -n peony-set-wallpaper
In addition to set wallpaper in ukui-control-center, you can select a
picture and right click to quickly set as wallpaper.


%package -n peony-bluetooth
Summary:  Peony plugin for right click a file to send to other devices via Bluetooth
Recommends: ukui-bluetooth

%description -n peony-bluetooth
In addition to sending files in ukui-bluetooth, you can also choose one
File, then right-click to quickly send the file.


%package -n peony-send-to-device
Summary:  Peony plugin for right click a file to send to mobile devices

%description -n peony-send-to-device
In addition to copy files to mobile device, you can also choose one
File, then right-click to quickly send the file.


%package -n peony-device-rename
Summary:  Peony plugin for select a block device and rename it. This package adds extended functionality to the Peony file manager.

%description -n peony-device-rename
In this way, we can right click the device and quickly rename it, no need
to rename it use other tools like gparted.


%prep
%autosetup -n %{name}-%{version} -p1

%build
export PATH=%{_qt5_bindir}:$PATH
mkdir qmake-build
pushd qmake-build
%{qmake_qt5}  ..
%{make_build}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd qmake-build
%{make_install} INSTALL_ROOT=%{buildroot}
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post
systemctl enable smb &> /dev/null ||:

if [ ! -d '/var/lib/samba/usershares' ];then
    mkdir -p /var/lib/samba/usershares
fi

chmod 0770 /var/lib/samba/usershares
chmod +t /var/lib/samba/usershares

%files
%doc debian/control debian/copyright
%license COPYING

%files -n peony-share
%{_libdir}/peony-extensions/libpeony-share.so
%{_prefix}/share/polkit-1/actions
%{_prefix}/libexec/
%{_datadir}/dbus-1/system.d/
%{_datadir}/dbus-1/system-services/

%files -n parchives
%{_libdir}/peony-extensions/libpeony-engrampa-menu-plugin.so

%files -n peony-open-terminal
%{_libdir}/peony-extensions/libpeony-menu-plugin-mate-terminal.so

%files -n peony-extension-computer-view
%{_libdir}/peony-extensions/libpeony-computer-view-plugin.so

%files -n peony-set-wallpaper
%{_libdir}/peony-extensions/libpeony-set-wallpaper.so

%files -n peony-bluetooth
%{_libdir}/peony-extensions/libpeony-bluetooth-plugin.so

%files -n peony-send-to-device
%{_libdir}/peony-extensions/libpeony-send-to-device.so

%files -n peony-device-rename
%{_libdir}/peony-extensions/libpeony-drive-rename.so

%changelog
* Wed Sep 04 2024 peijiankang <peijiankang@kylinos.cn> - 4.0.0.0-2
- add 0001-fix-peony-extensions-4.0.0.0-open-terminal-invalid.patch

* Wed Jun 05 2024 peijiankang <peijiankang@kylinos.cn> - 4.0.0.0-1
- update version to 4.0.0.0

* Sat Jun 17 2023 huayadong <huayadong@kylinos.cn> - 3.10.0-5
- remove Recommends: ukui-bluetooth

* Tue Jun 06 2023 peijiankang <peijiankang@kylinos.cn> - 3.10.0-4
- fix share error of peony-extensions

* Wed Feb 08 2023 peijiankang <peijiankang@kylinos.cn> - 3.10.0-3
- sync packaging format 

* Tue Feb 07 2023 tanyulong <tanyulong@kylinos.cn> - 3.10.0-2
- Enable debuginfo for fix strip

* Mon Nov 14 2022 tanyulong <tanyulong@kylinos.cn> - 3.10.0-1
- update to upstream version 3.10.0

* Wed May 18 2022 tanyulong<tanyulong@kylinos.cn> - 3.2.4-2
- Improve the project according to the requirements of compliance improvement

* Tue Feb 22 2022 tanyulong <tanyulong@kylinos.cn> - 3.2.4-1
- update to upstream version 3.2.4

* Fri Feb 11 2022 tanyulong <tanyulong@kylinos.cn> - 3.0.1-5
- add QPainterPath header file

* Tue Dec 15 2020 douyan <douyan@kylinos.cn> - 3.0.1-4
- remove post script

* Mon Dec 14 2020 douyan <douyan@kylinos.cn> - 3.0.1-3
- fix samba configure issue

* Tue Dec 8 2020 douyan <douyan@kylinos.cn> - 3.0.1-2
- fix-peony-share-failed-issue

* Wed Nov 11 2020 douyan <douyan@kylinos.cn> - 3.0.1-1
- update to upstream version 3.0.0-1+1031.1

* Mon Oct 26 2020 douyan <douyan@kylinos.cn> - 3.0.0-1
- update to upstream version 3.0.0

* Tue Sep 22 2020 douyan <douyan@kylinos.cn> - 2.1.2-2
- fix peony file share issue

* Thu Jul 09 2020 douyan <douyan@kylinos.cn> - 2.1.2-1
- Init package for openEuler
